it-swarm-ja.com

Debian squeezex64に32ビットgccをインストールする

このエラーが発生するため、32ビットgccをインストールする必要があります。

pthread_cancelを機能させるには、libgcc_s.so.1をインストールする必要があります。

私はこれを試します:

apt-get install lib32gcc1

パッケージが見つかりません

私もこれを試してみます:

apt-get install ia32-libs ia32-libs-gtk

どちらも見つかりません

私は何ができますか?

3
Magnetic_dud

アーキテクチャー(AMD64またはia64またはその他?)を指定していません。

AMD64を使用している場合、lib32gcc1が存在し、libgcc_s.so.1が含まれています。試してみるとインストールできました。

Ia64を使用している場合は、ia32-libs-coreを使用する必要があります。

このリンク アーキテクチャに必要なパッケージを教えてくれます。

Debianミラーがいくつかのパッケージを失うことがあります。米国の主要なリポジトリからインストールして、それが当てはまるかどうかを確認できます。

2

Debian 7(Wheezy)以降、これは次の方法で修正できます。

Sudo dpkg --add-architecture i386
Sudo apt-get update
4
sebastianwagner

私はこれと同じ問題に遭遇し、Wheezy7.6に32ビットライブラリをインストールする際にいくつかの問題が発生しました。私はついに32ビットのlibgcc1を明示的にターゲットにすることでそれを解決することができました:

Sudo dpkg --add-architecture i386
Sudo apt-get update
Sudo apt-get install libgcc1:i386

これにより、libgcc_s.so.1が/ usr/lib32 /に追加されます。

2
Exodus

私の問題はDebian7.6(Wheezy)にあり、パッケージを直接調べましたが、次のようなものもあります。

dep:libc6-i386(> = 2.11)[AMD64]組み込みGNU Cライブラリ:AMD64用の32ビット共有ライブラリ

だから私は最初にそれをインストールしようとしました、そしてそれは私のために働きました:

apt-get update
apt-get install libc6-i386
apt-get install lib32gcc1
1
hugs